--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Reads a line from the backend server into internal buffer. Returns <tt>nil</tt> for EOF, +0+ for success, +1+ for buffer overflowed. You need to ensure single &quot;.&quot; from backend to confirm transmission completion. The sample program <tt>psql.rb</tt> (see source for postgres) treats this copy protocol right.
full_name: PGconn#getline
is_singleton: false
name: getline
params: |
  conn.getline()

visibility: public
